[MediaWiki-l] What is this database error relating to ipb_id?

Jeffrey Walton noloader at gmail.com
Sun Dec 23 03:24:57 UTC 2018


On Sat, Dec 22, 2018 at 10:04 PM Brian Wolff <bawolff at gmail.com> wrote:
>
> Ok, it looks like update.php is trying to update the wrong db.
>
> Other people have reported a similar issue due to $wgDBmwschema
> suddenly being taken into account by update.php on MySQL where it
> wasn't prior to 1.31. If you have $wgDBmwschema set in
> LocalSettings.php you should remove it.
>
> Bug report at: https://phabricator.wikimedia.org/T148956 it appears to
> be fixed in git, so fix should make it into next point release of
> mediawiki.

Perfect, thank you very much.

Our LocalSettings.php had the hard coded value. (Our installation
dates back to 2006 or 2008, so it has been there a long time).

Jeff



More information about the MediaWiki-l mailing list